sonata_admin:
  show_mosaic_button: false
  security:
    handler: sonata.admin.security.handler.role

    role_admin: ROLE_USER
    role_super_admin: ROLE_SUPER_ADMIN


    # permissions not related to an object instance and also to be available when objects do not exist
    # the DELETE admin permission means the user is allowed to batch delete objects
    admin_permissions: [CREATE, LIST, DELETE, UNDELETE, EXPORT, OPERATOR, MASTER]

    # permission related to the objects
    object_permissions: [VIEW, EDIT, DELETE, UNDELETE, OPERATOR, MASTER, OWNER]

  default_controller: App\Controller\CRUDController
  options:
    html5_validate: true

    # Auto order groups and admins by label or id
    sort_admins: false
    confirm_exit: false
    js_debug: false
    skin: 'skin-black'
    use_select2: true
    use_icheck: true
    use_bootlint: false
    use_stickyforms: true
    form_type: standard
    default_group: default
    default_label_catalogue: SonataAdminBundle
    default_icon: '<i class="fa fa-folder"></i>'
    dropdown_number_groups_per_colums:  2
    title_mode: both # One of "single_text"; "single_image"; "both"

    # Enable locking when editing an object, if the corresponding object manager supports it.
    lock_protection: false

    legacy_twig_text_extension: false


  templates:
    add_block: '@SonataAdmin/Core/add_block.html.twig'
    layout: 'admin/standard_layout.html.twig'
    ajax: '@SonataAdmin/ajax_layout.html.twig'
    dashboard: 'admin/Sonata/admin_dashboard.html.twig'
    search: '@SonataAdmin/Core/search.html.twig'
    list: '@SonataAdmin/CRUD/list.html.twig'
    filter: '@SonataAdmin/Form/filter_admin_fields.html.twig'
    show: '@SonataAdmin/CRUD/show.html.twig'
    show_compare: '@SonataAdmin/CRUD/show_compare.html.twig'
    edit: 'admin/edit.html.twig'
    user_block: 'admin/user_block.html.twig'
    #    edit: '@SonataAdmin/CRUD/edit.html.twig'
    preview: '@SonataAdmin/CRUD/preview.html.twig'
    history: '@SonataAdmin/CRUD/history.html.twig'
    acl: '@SonataAdmin/CRUD/acl.html.twig'
    history_revision_timestamp: '@SonataAdmin/CRUD/history_revision_timestamp.html.twig'
    action: '@SonataAdmin/CRUD/action.html.twig'
    select: '@SonataAdmin/CRUD/list__select.html.twig'
    list_block: '@SonataAdmin/Block/block_admin_list.html.twig'
    search_result_block: '@SonataAdmin/Block/block_search_result.html.twig'
    short_object_description: '@SonataAdmin/Utils/short-object-description.html.twig'
    #    delete: '@SonataAdmin/CRUD/delete.html.twig'
    delete: 'admin/delete.html.twig'
    batch: '@SonataAdmin/CRUD/list__batch.html.twig'
    batch_confirmation: '@SonataAdmin/CRUD/batch_confirmation.html.twig'
    inner_list_row: '@SonataAdmin/CRUD/list_inner_row.html.twig'
    outer_list_rows_mosaic: '@SonataAdmin/CRUD/list_outer_rows_mosaic.html.twig'
    outer_list_rows_list: '@SonataAdmin/CRUD/list_outer_rows_list.html.twig'
    outer_list_rows_tree: '@SonataAdmin/CRUD/list_outer_rows_tree.html.twig'
    base_list_field: '@SonataAdmin/CRUD/base_list_field.html.twig'
    pager_links: '@SonataAdmin/Pager/links.html.twig'
    pager_results: '@SonataAdmin/Pager/results.html.twig'
    tab_menu_template: '@SonataAdmin/Core/tab_menu_template.html.twig'
    knp_menu_template: 'Menu/sonata_menu.html.twig'
  assets:
    stylesheets:

      # The default stylesheet list:
      - bundles/sonatacore/vendor/bootstrap/dist/css/bootstrap.min.css
      - bundles/sonatacore/vendor/components-font-awesome/css/font-awesome.min.css
      - bundles/sonatacore/vendor/ionicons/css/ionicons.min.css
      - bundles/sonataadmin/vendor/admin-lte/dist/css/AdminLTE.min.css
      - bundles/sonataadmin/vendor/iCheck/skins/square/blue.css
      - bundles/sonatacore/vendor/eonasdan-bootstrap-datetimepicker/build/css/bootstrap-datetimepicker.min.css
      - bundles/sonataadmin/vendor/jqueryui/themes/base/jquery-ui.css
      - bundles/sonatacore/vendor/select2/select2.css
      - bundles/sonatacore/vendor/select2-bootstrap-css/select2-bootstrap.min.css
      - bundles/sonataadmin/vendor/x-editable/dist/bootstrap3-editable/css/bootstrap-editable.css
      - bundles/sonataadmin/css/styles.css
      - bundles/sonataadmin/css/layout.css
      - bundles/sonataadmin/css/tree.css
      - bundles/sonataadmin/css/colors.css
    extra_stylesheets:
      - css/datatables.min.css
      - css/datatablesSelect.min.css
#      - css/custom.css
      - css/show.css
      - css/testChat.css
      - css/full_calendar.min.css
      - css/jquery.timepicker.min.css
#      - bootstrap-datetimepicker.min.js

    remove_stylesheets: []

    extra_javascripts:
      - 'js/datatables.min.js'
      - 'js/datatablesSelect.min.js'
      - 'js/full_calendar.min.js'
      - 'js/full_calendar_locales_all.min.js'
      - 'js/moment-to-fullcalendar connector.min.js'
      - 'js/loadingoverlay.js'
      - 'js/jquery.timepicker.min.js'
      - 'bundles/pixsortablebehavior/js/jquery-ui.min.js'
      - 'bundles/pixsortablebehavior/js/init.js'
      - 'js/app.js'
    remove_javascripts: []

  title: false
  title_logo: images/logo.png

  dashboard:
    blocks:
      - { type: sonata.admin.block.admin_list, position: center }
    groups:
      sonata.admin.group.ecole:

      #      sonata.admin.group.ecole:
      #        label: École
      #        icon: '<i class="fa fa-globe"></i>'
      #        items:
      #          - admin.annee_scolaire
      #          - admin.attestation
      ##          - admin.logs
      #          - admin.configuration
      #      sonata.admin.group.acadamique:
      #        label: Académique
      #        icon: '<i class="fa fa-mortar-board"></i>'
      #        items:
      #          - admin.matiere
      #          - admin.niveau
      #          - admin.specialite
      #          - admin.groupe_matiere
      #      sonata.admin.group.eleve:
      #        label: Élèves
      #        icon: '<i class="fa fa-user"></i>'
      #        items:
      #          - admin.eleve_annee_scolaire
      #          - admin.eleve_list
      #          - admin.eleve_user
      #          - admin.frere_et_soeur
      #          - admin.parent
      #          - admin.parent_user
#      sonata.admin.group.enseignant:
#        label: Enseignants
#        icon: '<i class="fa fa-user-o"></i>'
#        items:
#          - admin.enseignant

#      sonata.admin.group.classe:
#        label: Classes
#        icon: '<i class="fa fa-home"></i>'
#        items:
#          - admin.classe
#          - admin.group_classe
#          - admin.salle_classe
#          - route: admin_app_classe_calendarDevoirsClasse
#            label: Calendrier Des Examen
#            roles: ['ROLE_ELEVE']
#          - route: admin_app_classe_calendarSeanceClasse
#            label: Emploi de temps
#            roles: ['ROLE_ELEVE']

#      sonata.admin.group.cours:
#        label: Cours & TP
#        icon: '<i class="fa fa-book"></i>'
#        items:
#          - admin.cours
#          - admin.tp
#      sonata.admin.group.homework:
#        label: Exercices
#        icon: '<i class="fa fa-book"></i>'
#        items:
#
#          - admin.homework
#      sonata.admin.group.coursenligne:
#        label: Cours en ligne
#        icon: '<i class="fa fa-video-camera"></i>'
#        items:
#
#          - admin.cours_en_ligne
#          - route: CalendrierCourEnLigne
#            label: Calendrier des Cours
#            roles: ['ROLE_ADMIN']
#
#        #          - admin.messages_user
#        #          - admin.message_corps
#        #          - admin.notification
#
#        #          - admin.eleve_user
#        #          - admin.parent_user
#

#      sonata.admin.group.rapport:
#        label: Rapports
#        icon: '<i class="fa fa-align-justify"></i>'
#        items:
#          - route: rapportNoteMatiereClasse
#            label: List des notes
#            roles: ['ROLE_ADMIN']
#
#
#      sonata.admin.group.examen:
#        label: Examens
#        icon: '<i class="fa fa-map-o"></i>'
#        items:
##          - route: multiDevoir_create
##            label: Examen pour multiple classes
##          - route: groupExamen_create
##            label: Ajout Épreuves Examens
##            roles: ['ROLE_ADMIN']
#
#          - admin.les_devoir
#          - admin.devoir
#          - admin.examen_type
#          - admin.nature_examen

#      sonata.admin.group.bultin:
#        label: Bulletins
#        icon: '<i class="fa fa-list-alt"></i>'
#        items:
##          - route: multiBulletin_create
##            label:  classe/Bulletin deperiode
##            roles:    ['ROLE_ADMIN']
#
#          - route: admin_app_bulletineleve_list
#            label: Bulletins
#            roles:    ['ROLE_ELEVE','ROLE_PARENT']
#
#          - admin.bulletin_classe
##          - admin.bulletin_eleve

#      sonata.admin.group.staff:
#        label: Staff
#        icon: '<i class="fa fa-user"></i>'
#        items:
#          - admin.staff
#


#      sonata.admin.group.message:
#        label: Message & Notification
#        icon: '<i class="fa fa-envelope"></i>'
#        items:
##          - admin.messages_user
#           - admin.chat_user
#           - admin.annonce
#



#
#      sonata.admin.group.contine:
#        label: Cantine
#        icon: '<i class="fa fa-globe"></i>'
#        items:
#          - admin.menu
#          - admin.menu_contine
#          - admin.repas
#          - route: admin_app_repas_listRepas
#            label: Calendrier des repas
#            roles: ['ROLE_ADMIN']
#          - admin.reclamation_contine
#      sonata.admin.group.service:
#        label: Service
#        icon: '<i class="fa fa-globe"></i>'
#        items:
#          - admin.service
#          - admin.service_category
#          - admin.service_echeance
#          - admin.service_eleve
#          - admin.service_paiement
##          - route: serviceDashboardClasse
##            label: dashboard service
##            roles: [ 'ROLE_ADMIN' ]
#      sonata.admin.group.servicejournalier:
#        label: Service Occasionnel
#        icon: '<i class="fa fa-globe"></i>'
#        items:
#          - admin.service_journalier_eleve





